<template>
  <div role="tablist">
    <b-card-text no-body class="mb-1">
      <b-card-header header-tag="header" class="p-1 shadow-sm shadow-sm" role="tab">
        <b-button block href="#" v-b-toggle.accordion-1 variant="transparent" text-variant="white">
          <b-media class="align-items-center">
            <template v-slot:aside>
              <img src="@/assets/img/hipo.svg" width="30rem" alt="hipodromo.png" />
            </template>
            <h5 class="mt-0 mb-0 text-white text-uppercase text-left">Hipodromo</h5>
          </b-media>
        </b-button>
      </b-card-header>
      <b-collapse id="accordion-1" visible accordion="my-accordion" role="tabpanel">
        <b-card-body class="sidebar-item mt-1 mb-0">
            <b-media no-body
              v-for="(hipodromo,index) in hipodromos"
              :key="index"
              tag="a"
              :to="{name:'mike'}"
              href="#"
              class="text-decoration-none mb-1 shadow-lg bg-sidebar-item px-3 pt-1 pb-1 rounded">
              <b-media-aside vertical-align="center">
                <img src="@/assets/img/hipo.svg" width="28rem" alt="hipodromo.png" />
              </b-media-aside>
               <b-media-body class="ml-3">
                  <h6 class="mt-0 mb-0 text-white" style="line-height: 1;">{{hipodromo.nombre}}</h6>
                  <p class="mb-0 text-white">Carrera #{{hipodromo.idcarrera}}</p>
               </b-media-body>
              <span class="mb-0 lh-0 align-self-center"><b-badge :variant="hipodromo.estatus =='ABIERTA' ? 'light':'danger'">{{hipodromo.estatus}}</b-badge></span>
            </b-media>
        </b-card-body>
      </b-collapse>
    </b-card-text>

    <b-card-text no-body class="mb-1">
      <b-card-header header-tag="header" class="p-1 shadow-lg" role="tab">
        <b-button block href="#" v-b-toggle.accordion-2 variant="transparent">
          <b-media class="align-items-center">
            <template v-slot:aside>
              <img src="@/assets/img/galgos.svg" width="30rem" alt="galgos.png" />
            </template>
            <h5 class="mt-0 mb-0 text-white text-uppercase text-left">Galgos</h5>
          </b-media>
        </b-button>
      </b-card-header>
      <b-collapse id="accordion-2" visible accordion="my-accordion" role="tabpanel">
        <b-card-body class="sidebar-item mt-1 mb-0">
          <ul class="list-unstyled mb-0">
            <b-media
              v-for="(galgo,index) in galgodromos"
              :key="index"
              tag="a"
              href="#"
              class="text-decoration-none mb-1 shadow-lg bg-sidebar-item px-3 pt-2 pb-1 rounded"
            >
              <template v-slot:aside>
                <img src="@/assets/img/galgos.svg" width="28rem" alt="galgos.png" />
              </template>
              <h6 class="mt-0 mb-0 text-white" style="line-height: 1;">{{galgo.nombre}}</h6>
              <p class="mb-0 text-white">Carrera</p>
            </b-media>
          </ul>
        </b-card-body>
      </b-collapse>
    </b-card-text>

    <b-card-text no-body class="mb-1">
      <b-card-header header-tag="header" class="p-1 shadow-lg" role="tab">
        <b-button block href="#" v-b-toggle.accordion-3 variant="transparent">
          <b-media class="align-items-center">
            <template v-slot:aside>
              <img src="@/assets/img/carretas.svg" width="30rem" alt="carretas.png" />
            </template>
            <h5 class="mt-0 mb-0 text-white text-uppercase text-left">Carretas</h5>
          </b-media>
        </b-button>
      </b-card-header>
      <b-collapse id="accordion-3" visible accordion="my-accordion" role="tabpanel">
        <b-card-body class="sidebar-item mt-1 mb-0">
          <ul class="list-unstyled mb-0">
            <b-media
              v-for="(carreta,index) in carretas"
              :key="index"
              tag="a"
              href="#"
              class="text-decoration-none mb-1 shadow-lg bg-sidebar-item px-3 pt-2 pb-1 rounded">
              <template v-slot:aside>
                <img src="@/assets/img/carretas.svg" width="28rem" alt="carretas.png" />
              </template>
              <h6 class="mt-0 mb-0 text-white" style="line-height: 1;">{{carreta.nombre}}</h6>
              <p class="mb-0 text-white">Carrera</p>
            </b-media>
          </ul>
        </b-card-body>
      </b-collapse>
    </b-card-text>
  </div>
</template>
<script>
import axios from 'axios'
import url from '@/router/url'
export default {
  name: 'sidebar',
  mounted () {
    this.cargarEventos()
  },
  data () {
    return {
      dromos:[]
    }
  },
  methods:{
    cargarEventos (){
      axios ({
        method: 'get',
        url: `${url}mostrareventos_estatus/2019-10-20`,
      }).then((response) => {
        console.log(this.dromos = response.data)
      });
    }
  },
  computed:{
    hipodromos(){
      return this.dromos.filter((dromo) => {
        return dromo.tipo == 'HIPODROMO'
      })
    },
    galgodromos(){
      return this.dromos.filter((dromo) => {
        return dromo.tipo == 'GALGODROMO'
      })
    },
    carretas(){
      return this.dromos.filter((dromo) => {
        return dromo.tipo == 'CARRETA'
      })
    }
  }
}
</script>
<style scoped>
.card-header {
  /* padding: 0.1rem!important; */
  margin-bottom: 0;
  background-color: #0a4393;
  border-bottom: 0;
  border-top-left-radius: 16px !important;
  border-bottom-right-radius: 16px !important;
}
.bg-sidebar-item {
  background-color: #004aaa;
}
.bg-sidebar-item:hover{
  background-color: #df3439
}
.sidebar-item {
  padding: 0rem;
  max-height: calc(100vh - 312px);
  overflow: auto;
}
.media {
  display: flex;
}
.sidebar-item::-webkit-scrollbar {
    width: 10px;
    /* height: 10px; */
}
.sidebar-item ::-webkit-scrollbar-thumb {
    background-color: #3a5169;
}
.sidebar-item::-webkit-scrollbar-thumb {
    background-color: #b4c7d0;
    border: 3px solid transparent;
    background-clip: padding-box;
    border-radius: 5px;
}
.sidebar-item::-webkit-scrollbar-track-piece {
    background: 0 0;
}

</style>
